/**
 * Set up a decent box model on the root element
 */
html {
  box-sizing: border-box;
  color: color(text-color);
  font: normal percentage($baseSize / 16px) $text-font-stack;
}

/**
 * Make all elements from the DOM inherit from the parent box-sizing
 * Since `*` has a specificity of 0, it does not override the `html` value
 * making all elements inheriting from the root box-sizing value
 * See: https://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/
 */
*,
*:after,
*:before {
  background: transparent;
  box-sizing: inherit;
  font-size: 100%;
  outline: 0;
  vertical-align: baseline;
}

/****************************
 Generic Margins and Paddings
 ****************************/
body,
h1,
h2,
h3,
h4,
h5,
h6,
ul,
ol,
li,
p,
pre,
blockquote,
figure,
hr {
  margin: 0;
  padding: 0;
}

/*******************
 Lists
 *******************/
ul {
  list-style: none;
}

/*******************
 Forms and buttons
 *******************/
input,
textarea,
select,
button {
  color: inherit;
  font: inherit;
  letter-spacing: inherit;
}

/* I usually expand input and textarea to full-width */
input[type="text"],
textarea {
  width: 100%;
}

/* More friendly border */
input,
textarea,
button {
  border: 1px solid gray;
}

/* Some defaults for one-liner buttons */
button {
  background-color: transparent;
  border-radius: 0;
  line-height: 1;
  padding: 0 1em;
}

button * {
  pointer-events: none;
}

/***********************************
 Easy responsive for media elements
 ***********************************/
img,
picture,
svg,
iframe,
video,
object,
embed {
  display: block;
  max-width: 100%;
}

/*******************
 Useful table styles
 *******************/
table {
  table-layout: fixed;
  width: 100%;
}

/*******************
 The hidden attribute
 *******************/
[hidden] {
  display: none !important;
}

/*******************
 Noscript
 *******************/
noscript {
  display: block;
  margin-bottom: 1em;
  margin-top: 1em;
}

/*
 * Remove text-shadow in selection highlight: h5bp.com/i
 * These selection rule sets have to be separate.
 * Customize the background color to match your design.
 */
::selection {
  background: #b3d4fc;
  text-shadow: none;
}
/* Remove the gap between images, videos, audio and canvas and the bottom of their containers: h5bp.com/i/440 */
audio,
canvas,
img,
video {
  vertical-align: middle;
}

/* Allow only vertical resizing of textarea. */
textarea {
  resize: vertical;
}

.dn {
  display: none;
}

.vh {
  visibility: hidden;
}

/**
 * Basic styles for links
 */
a {
  color: color(text-color);
  text-decoration: none;

  @include on-event {
    color: color(text-color);
    text-decoration: underline;
  }
}

.bg-intro{
    background-color: #FFA727;
}
.bg-one{
    background-color: #FF7043;
}
.bg-two{
    background-color: #66BB6B;
}
.bg-three{
    background-color: #5C6BC0;
}
.bg-four{
    background-color: #48A7F2;
}
.final-page{
    background-color: #D9EEE4;
}